kr.co.hanwha.hifive.adapter.viewholder

## Class AlarmListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.AlarmListViewHolder

    public class AlarmListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 22..

### Field Summary

Fields
`private android.widget.ImageView` `mImageViewIcon`
`private AlarmListContract.OnAlarmListListener` `mOnAlarmListListener`
`private android.widget.TextView` `mTextViewDate`
`private android.widget.TextView` `mTextViewMessage`
`private android.widget.TextView` `mTextViewTitle`
`private android.view.View` `mViewUnderline`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`AlarmListViewHolder(android.view.ViewGroup viewGroup, AlarmListContract.OnAlarmListListener onAlarmListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mImageViewIcon

    private android.widget.ImageView mImageViewIcon

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mTextViewMessage

    private android.widget.TextView mTextViewMessage

#### mTextViewDate

    private android.widget.TextView mTextViewDate

#### mViewUnderline

    private android.view.View mViewUnderline

#### mOnAlarmListListener

    private AlarmListContract.OnAlarmListListener mOnAlarmListListener

### Constructor Detail

#### AlarmListViewHolder

    public AlarmListViewHolder(@NonNull
                               android.view.ViewGroup viewGroup,
                               AlarmListContract.OnAlarmListListener onAlarmListListener)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`